{
  "schema_version": "1.4.0",
  "id": "GHSA-qxf5-r3fp-g7w9",
  "modified": "2022-05-02T06:15:12Z",
  "published": "2022-05-02T06:15:12Z",
  "aliases": [
    "CVE-2010-0733"
  ],
  "details": "Integer overflow in src/backend/executor/nodeHash.c in PostgreSQL 8.4.1 and earlier, and 8.5 through 8.5alpha2, allows remote authenticated users to cause a denial of service (daemon crash) via a SELECT statement with many LEFT JOIN clauses, related to certain hashtable size calculations.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-0733"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2010:0427"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2010:0428"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2010:0429"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2010-0733"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=546621"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10691"
    },
    {
      "type": "WEB",
      "url": "http://archives.postgresql.org/pgsql-bugs/2009-10/msg00277.php"
    },
    {
      "type": "WEB",
      "url": "http://archives.postgresql.org/pgsql-bugs/2009-10/msg00287.php"
    },
    {
      "type": "WEB",
      "url": "http://archives.postgresql.org/pgsql-bugs/2009-10/msg00289.php"
    },
    {
      "type": "WEB",
      "url": "http://archives.postgresql.org/pgsql-bugs/2009-10/msg00310.php"
    },
    {
      "type": "WEB",
      "url": "http://git.postgresql.org/gitweb?p=postgresql.git%3Ba=commit%3Bh=64b057e6823655fb6c5d1f24a28f236b94dd6c54"
    },
    {
      "type": "WEB",
      "url": "http://git.postgresql.org/gitweb?p=postgresql.git;a=commit;h=64b057e6823655fb6c5d1f24a28f236b94dd6c54"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2010-08/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39820"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2010/03/09/2"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2010/03/16/10"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0427.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0428.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0429.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/38619"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1197"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "LOW",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-03-19T19:30:00Z"
  }
}